package ctbrec.ui.sites.chaturbate;

import java.io.IOException;

import ctbrec.sites.chaturbate.Chaturbate;
import ctbrec.ui.sites.AbstractSiteUi;
import ctbrec.ui.sites.ConfigUI;
import ctbrec.ui.tabs.TabProvider;

public class ChaturbateSiteUi extends AbstractSiteUi {

    private ChaturbateTabProvider tabProvider;
    private ChaturbateConfigUi configUi;
    private Chaturbate chaturbate;

    public ChaturbateSiteUi(Chaturbate chaturbate) {
        this.chaturbate = chaturbate;
        tabProvider = new ChaturbateTabProvider(chaturbate);
        configUi = new ChaturbateConfigUi(chaturbate);
    }

    @Override
    public TabProvider getTabProvider() {
        return tabProvider;
    }

    @Override
    public ConfigUI getConfigUI() {
        return configUi;
    }

    @Override
    public synchronized boolean login() throws IOException {
        return chaturbate.login();
    }

}
